export declare const useSchemaTemplateManager: () => {
    templates: any;
    refresh: any;
    getTemplateSchemaByMode(options: any): Promise<any>;
    copyTemplateSchema(template: any): Promise<any>;
    saveAsTemplate(values: any): Promise<{
        key: string;
    }>;
    getTemplateBySchema: (schema: any) => any;
    getTemplateBySchemaId(schemaId: any): any;
    getTemplateById(key: any): any;
    getTemplatesByCollection(dataSource: string, collectionName: string): any;
    getTemplatesByComponentName(componentName: string): Array<any>;
};
